Bug 20075 - Change authority hidden attribute in sql installer files
Summary: Change authority hidden attribute in sql installer files
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20074
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 13:53 UTC by Marcel de Rooy
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20075: Adjust installer files for de-DE up to pl-PL (376.73 KB, patch)
2018-02-26 10:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20075: Update installer files for ru-RU (31.92 KB, patch)
2018-02-26 10:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20075: Update installer files for uk-UA (32.96 KB, patch)
2018-02-26 10:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20075: Replace hidden -5 by 1 in data and interface (2.53 KB, patch)
2018-02-26 10:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-01-23 13:53:38 UTC
See bug 18811 and 20074. We should not expect 0, 1 and 8. But only 0 and -5. (Note that it is just used as a boolean, so not a big deal.)
Comment 1 Jonathan Druart 2018-01-23 14:37:47 UTC
This needs to be pushed along with bug 20074 otherwise the new installs will contain wrong values.
Comment 2 Marcel de Rooy 2018-01-23 14:40:09 UTC
(In reply to Jonathan Druart from comment #1)
> This needs to be pushed along with bug 20074 otherwise the new installs will
> contain wrong values.

These 'wrong' values will be interpreted correctly. Not really a problem.
Comment 3 Marcel de Rooy 2018-02-26 10:53:31 UTC
Created attachment 72198 [details] [review]
Bug 20075: Adjust installer files for de-DE up to pl-PL

We are replacing the values -5 or 8 here by 1 for the hidden field in
auth_subfield_structure.
Note that 1 is mainly used in MARC21 and -5 in UNIMARC.
Since it is a boolean, I choose here for keeping 0 and 1.

The value 8 was only used for field 942 in MARC21 files.
The value -5 was replaced in
en/marcflavour/unimarc/mandatory/authorities_normal_unimarc.sql
it-IT/marcflavour/unimarc/necessari/authority_framework.sql
pl-PL/marcflavour/unimarc/mandatory/authorities_normal_unimarc.sql

NOTE: The french unimarc files
fr-FR/marcflavour/unimarc_complet/Obligatoire/autorite_default.sql
fr-FR/marcflavour/unimarc_complet/Obligatoire/autorites_norme_unimarc.sql
fr-FR/marcflavour/unimarc_lecture_pub/Obligatoire/autorites_norme_unimarc.sql
seem to display all fields, since hidden is 0 everywhere.

Test plan:
Test a new install in one of the languages.
Or run the sql script on an empty database.
Comment 4 Marcel de Rooy 2018-02-26 10:54:25 UTC
Created attachment 72199 [details] [review]
Bug 20075: Update installer files for ru-RU

Instead of the very laborious task of going thru all these files line by
line, I am adding a statement at the very end to correct hidden values.

Test plan:
Run a new Russian install or run a few files on an empty database.
Comment 5 Marcel de Rooy 2018-02-26 10:54:29 UTC
Created attachment 72200 [details] [review]
Bug 20075: Update installer files for uk-UA

Instead of the very laborious task of going thru all these files line by
line, I am adding a statement at the very end to correct hidden values.

Test plan:
Run a new Ukrainian install or run a few files on an empty database.
Comment 6 Marcel de Rooy 2018-02-26 10:54:32 UTC
Created attachment 72201 [details] [review]
Bug 20075: Replace hidden -5 by 1 in data and interface

In the preceding patches we chose for 1 instead of -5.
The interface should move that direction too obviously.

Test plan:
Test toggling between Show all and Hide all in the auth frameworks.
Run the db rev.
Comment 7 Marcel de Rooy 2018-02-26 14:15:55 UTC
Comment on attachment 72201 [details] [review]
Bug 20075: Replace hidden -5 by 1 in data and interface

Moved to 20074
Comment 8 Jonathan Druart 2018-02-26 16:29:31 UTC
Pushed to master for 18.05 to have it along with bug 20074.

Thanks Marcel!